MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/pcm_resample_internal.h File Reference

Internal declarations for the pcm_resample library. More...

`#include "check.h"`
`#include "pcm_resample.h"`

Go to the source code of this file.

## Functions
void | pcm_resample_fallback_deinit (struct pcm_resample_state *state)
const int16_t * | pcm_resample_fallback_16 (struct pcm_resample_state *state, uint8_t channels, unsigned src_rate, const int16_t *src_buffer, size_t src_size, unsigned dest_rate, size_t *dest_size_r)
const int32_t * | pcm_resample_fallback_32 (struct pcm_resample_state *state, uint8_t channels, unsigned src_rate, const int32_t *src_buffer, size_t src_size, unsigned dest_rate, size_t *dest_size_r)

## Detailed Description

Internal declarations for the pcm_resample library.

The "internal" resampler is called "fallback" in the MPD source, so the file name of this header is somewhat unrelated to it.

Definition in file pcm_resample_internal.h.

## Function Documentation

const int16_t* pcm_resample_fallback_16 | ( | struct pcm_resample_state * | state,
|  | uint8_t | channels,
|  | unsigned | src_rate,
|  | const int16_t * | src_buffer,
|  | size_t | src_size,
|  | unsigned | dest_rate,
|  | size_t * | dest_size_r
| ) |  |

const int32_t* pcm_resample_fallback_32 | ( | struct pcm_resample_state * | state,
|  | uint8_t | channels,
|  | unsigned | src_rate,
|  | const int32_t * | src_buffer,
|  | size_t | src_size,
|  | unsigned | dest_rate,
|  | size_t * | dest_size_r
| ) |  |

void pcm_resample_fallback_deinit | ( | struct pcm_resample_state * | state | ) |